Tool: list_google_pay_integrations
Returns the current status and configuration details for all Google Pay integrations associated with a specific Merchant ID. It provides immediate feedback on the status of integration and document reviews.
The following sample demonstrate how to use curl to invoke the list_google_pay_integrations MCP tool.
| Curl Request |
|---|
curl --location 'https://paydeveloper.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "list_google_pay_integrations", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Request message for listing Google Pay integrations for a specific merchant.
ListGooglePayIntegrationsRequest
| JSON representation |
|---|
{ "merchantId": string } |
| Fields | |
|---|---|
merchantId |
Required. The merchant id, for which to list integrations. |
Output Schema
Response message for listing Google Pay integrations.
ListGooglePayIntegrationsResponse
| JSON representation |
|---|
{
"googlePayIntegrations": [
{
object ( |
| Fields | |
|---|---|
googlePayIntegrations[] |
The Google Pay integrations of the merchant. |
GooglePayIntegration
| JSON representation |
|---|
{ "integrationState": enum ( |
| Fields | |
|---|---|
integrationState |
Output only. The Google Pay integration state of the merchant. |
createTime |
Output only. When the integration resource was created. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
updateTime |
Output only. When the integration resource was last updated. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
integrationType |
Optional. The integration type of the Google Pay integration. |
integrationDocuments[] |
Optional. Input only. The integration documents of the Google Pay integration. |
Union field item. The integration item. One of these must be set. item can be only one of the following: |
|
webDomain |
The web domain of the merchant. |
androidAppPackage |
The Android app package name of the merchant. |
Timestamp
| JSON representation |
|---|
{ "seconds": string, "nanos": integer } |
| Fields | |
|---|---|
seconds |
Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z). |
nanos |
Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive. |
IntegrationDocument
| JSON representation |
|---|
{ "name": string, "data": string, "documentType": enum ( |
| Fields | |
|---|---|
name |
Optional. The name of the document. |
data |
Optional. The data of the document. A base64-encoded string. |
documentType |
Optional. The type of the document. |
mimeType |
Optional. The mime type of the document. |
Tool Annotations
Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌